myGame.SchoolDayClassmate.prototype = {
  preload: function() {
    // Preload images for this state
  },

  create: function() {
    //Audio
    if (!myGame.music.school.isPlaying) {
      myGame.music.school.play('',0,1,true);
    }

    myGame.player.friend = {};

    if (myGame.day == 1) {
      game.add.sprite( 0, 0, 'dialog-image-school-3-dark');
    } else {
      game.add.sprite( 0, 0, 'dialog-image-school-4-dark');
    }

    //Prompt text
    myGame.drawPromptText("Who will you talk to?");

    var classmateTextY = 150;
    var classmateDescTextY = 220;

    // Classmate 1
    this.classmate1Group = game.add.group();

    this.classmate1 = this.classmate1Group.create(120, 1450, 'speaker-image-jesse');
    this.classmate1.scale.x = 0.8;
    this.classmate1.scale.y = 0.8;
    this.classmate1.anchor.setTo(0, 1);
    this.classmate1.tint = 0xDDDDDD;

    this.classmate1NameText = game.add.text(this.classmate1.x + this.classmate1.width/2, classmateTextY, myGame.students[0].name, myGame.charPickerNameTextStyle);
    this.classmate1NameText.anchor.setTo(0.5, 0);
    this.classmate1Group.add(this.classmate1NameText);

    this.classmate1DescText = game.add.text(this.classmate1.x + this.classmate1.width/2, classmateDescTextY, myGame.students[0].description, myGame.charPickerDescTextStyle);
    this.classmate1DescText.anchor.setTo(0.5, 0);
    this.classmate1Group.add(this.classmate1DescText);

    this.classmate1Group.forEach(function(object){
      object.inputEnabled = true;
      object.events.onInputOver.add(this.addCharacterTint, this);
      object.events.onInputOut.add(this.removeCharacterTint, this);
      object.events.onInputDown.add(function(){
        this.chooseStudent(myGame.students[0]);
      }, this);
    }, this);

    // Classmate 2
    this.classmate2Group = game.add.group();
    this.classmate2 = this.classmate2Group.create(game.width/3*2 - 500, 1450, 'speaker-image-so-yeon');
    this.classmate2.scale.x = 0.8;
    this.classmate2.scale.y = 0.8;
    this.classmate2.anchor.setTo(0, 1);
    this.classmate2.tint = 0xDDDDDD;

    this.classmate2NameText = game.add.text(this.classmate2.x + this.classmate2.width/2, classmateTextY, myGame.students[1].name, myGame.charPickerNameTextStyle);
    this.classmate2NameText.anchor.setTo(0.5, 0);
    this.classmate2Group.add(this.classmate2NameText);

    this.classmate2DescText = game.add.text(this.classmate2.x + this.classmate2.width/2, classmateDescTextY, myGame.students[1].description, myGame.charPickerDescTextStyle);
    this.classmate2DescText.anchor.setTo(0.5, 0);
    this.classmate2Group.add(this.classmate2DescText);

    this.classmate2Group.forEach(function(object){
      object.inputEnabled = true;
      object.events.onInputOver.add(this.addCharacterTint, this);
      object.events.onInputOut.add(this.removeCharacterTint, this);
      object.events.onInputDown.add(function(){
        this.chooseStudent(myGame.students[1]);
      }, this);
    }, this);

    // Classmate 3
    this.classmate3Group = game.add.group();
    this.classmate3 = this.classmate3Group.create(game.width - 580, 1450, 'speaker-image-angelica');
    this.classmate3.scale.x = 0.8;
    this.classmate3.scale.y = 0.8;
    this.classmate3.anchor.setTo(0, 1);
    this.classmate3.tint = 0xDDDDDD;

    this.classmate3NameText = game.add.text(this.classmate3.x + this.classmate3.width/2, classmateTextY, myGame.students[2].name, myGame.charPickerNameTextStyle);
    this.classmate3NameText.anchor.setTo(0.5, 0);
    this.classmate3Group.add(this.classmate3NameText);

    this.classmate3DescText = game.add.text(this.classmate3.x + this.classmate3.width/2, classmateDescTextY, myGame.students[2].description, myGame.charPickerDescTextStyle);
    this.classmate3DescText.anchor.setTo(0.5, 0);
    this.classmate3Group.add(this.classmate3DescText);

    this.classmate3Group.forEach(function(object){
      object.inputEnabled = true;
      object.events.onInputOver.add(this.addCharacterTint, this);
      object.events.onInputOut.add(this.removeCharacterTint, this);
      object.events.onInputDown.add(function(){
        this.chooseStudent(myGame.students[2]);
      }, this);
    }, this);

    // Show happy texture if happy
    if (myGame.selectedStudent && myGame.day == 4) {
      var student2Name = this.classmate2.key.replace("speaker-image-", "");
      var student3Name = this.classmate3.key.replace("speaker-image-", "");
      var selectedStudentName = myGame.selectedStudent.name.toLowerCase();

      if (selectedStudentName == student2Name) {
        this.classmate2.loadTexture('speaker-image-so-yeon-happy');
      }

      if (selectedStudentName == student3Name) {
        this.classmate3.loadTexture('speaker-image-angelica-happy');
      }
    }

    // Setup quit button
    myGame.setupQuitButton(this);
  },

  update: function() {
  },

  chooseStudent: function(student){
    this.classmate1.destroy();
    this.classmate2.destroy();
    this.classmate3.destroy();

    this.classmate1NameText.destroy();
    this.classmate2NameText.destroy();
    this.classmate3NameText.destroy();

    this.classmate1DescText.destroy();
    this.classmate2DescText.destroy();
    this.classmate3DescText.destroy();
    myGame.hidePromptText();

    if (student.chosen) {
      myGame.player.friend = student;
    } else {
      student.chosen = true;
    }

    myGame.selectedStudent = student;
    this.state.start('SchoolDayConversation');
  },

  addCharacterTint: function(sprite, pointer){
    sprite.tint = 0xFFFFFF;
  },

  removeCharacterTint: function(sprite, pointer){
    sprite.tint = 0xDDDDDD;
  }
}
